unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DKLang, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    rgLanguages: TRadioGroup;
    DKLanguageController1: TDKLanguageController;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure rgLanguagesClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

resourcestring
  MSG_SALIR = 'Realmente desea cerrar?';

implementation

uses Unit2;

{$R *.dfm}

procedure TForm1.Button2Click(Sender: TObject);
begin
  form2.Show;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  res:Word;
begin


  res := MessageDlg(DKLangConstW('MSG_SALIR'), mtConfirmation, [mbYes, mbNo], 0);
  if (res = mrYes) then Close;


end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  // Scan for language files in the app directory and register them in the LangManager object
  //--LangManager.ScanForLangFiles(ExtractFileDir(ParamStr(0)), '*.lng', False);

  // Fill in the 'statically included' languages
  LangManager.RegisterLangResource(HInstance, 'LNG_CATALA', 1027);
  LangManager.RegisterLangResource(HInstance, 'LNG_ENGLISH',  2057);


  // Fill cbLanguage with available languages
  for i := 0 to LangManager.LanguageCount-1 do begin
    //MessageDlg(LangManager.LanguageNames[i], mtInformation, [mbOK], 0);
    if (i > 0) then begin
      rgLanguages.Items.Add(LangManager.LanguageNames[i]);
    end
    else begin
      rgLanguages.Items.Add('por defecto');
    end;
  end;
  // Index=0 always means the default language
  rgLanguages.ItemIndex := 0;

end;

procedure TForm1.rgLanguagesClick(Sender: TObject);
var
  iIndex: Integer;
begin
  iIndex := rgLanguages.ItemIndex;
  if iIndex<0 then iIndex := 0; // When there's no valid selection in cbLanguage we use the default language (Index=0)
  LangManager.LanguageID := LangManager.LanguageIDs[iIndex];

end;

end.
